org.richfaces.ui.output.component

## Class UISeries

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractChartSeries
      - - org.richfaces.ui.output.component.UISeries

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UISeries
      extends AbstractChartSeries
      implements javax.faces.component.behavior.ClientBehaviorHolder

  The <rich:chartSeries> defines the data to be plotted in a chart. It represents the set of values with a common label. Data can be passed using attribute data. It expects ChartDataModel object. You can also use facelet iteration.
  Author:
    Lukas Macko

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UISeries.Properties`

    - ### Nested classes/interfaces inherited from class org.richfaces.component.AbstractChartSeries

      `AbstractChartSeries.SymbolType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UISeries()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPlotClickListener(PlotClickListener listener)`
    `String` | `getColor()` Attribute define the color of data plotted.
    `ChartDataModel` | `getData()` Data passed into chart.
    `String` | `getDefaultEventName()`
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getLabel()` Description of data shown in a legend.
    `String` | `getOnplotclick()` Javascript handler for plotclick event for this series only.
    `String` | `getOnplothover()` Mouse over handler event for this series only.
    `javax.el.MethodExpression` | `getPlotClickListener()` Server-side listener for plotclick event fired by this series only.
    `PlotClickListener[]` | `getPlotClickListeners()`
    `AbstractChartSeries.SymbolType` | `getSymbol()` Point symbol for line chart Allowed values: circle square cross triangle diamond
    `ChartDataModel.ChartType` | `getType()` The attributes define type of a chart.
    `void` | `removePlotClickListener(PlotClickListener listener)`
    `void` | `setColor(String color)`
    `void` | `setData(ChartDataModel data)`
    `void` | `setLabel(String label)`
    `void` | `setOnplotclick(String onplotclick)`
    `void` | `setOnplothover(String onplothover)`
    `void` | `setPlotClickListener(javax.el.MethodExpression plotClickListener)`
    `void` | `setSymbol(AbstractChartSeries.SymbolType symbol)`
    `void` | `setType(ChartDataModel.ChartType type)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UISeries

          public UISeries()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getColor

          public String getColor()

      Description copied from class: `AbstractChartSeries`
      Attribute define the color of data plotted.
      Specified by:
        `getColor` in class `AbstractChartSeries`

    - #### setColor

          public void setColor(String color)

    - #### getData

          public ChartDataModel getData()

      Description copied from class: `AbstractChartSeries`
      Data passed into chart. If attribute is null, nested <s:point> tags are expected - facelet iteration.
      Specified by:
        `getData` in class `AbstractChartSeries`

    - #### setData

          public void setData(ChartDataModel data)

    - #### getLabel

          public String getLabel()

      Description copied from class: `AbstractChartSeries`
      Description of data shown in a legend.
      Specified by:
        `getLabel` in class `AbstractChartSeries`

    - #### setLabel

          public void setLabel(String label)

    - #### getOnplotclick

          public String getOnplotclick()

      Description copied from class: `AbstractChartSeries`
      Javascript handler for plotclick event for this series only.
      Specified by:
        `getOnplotclick` in class `AbstractChartSeries`

    - #### setOnplotclick

          public void setOnplotclick(String onplotclick)

    - #### getOnplothover

          public String getOnplothover()

      Description copied from class: `AbstractChartSeries`
      Mouse over handler event for this series only.
      Specified by:
        `getOnplothover` in class `AbstractChartSeries`

    - #### setOnplothover

          public void setOnplothover(String onplothover)

    - #### getPlotClickListener

          public javax.el.MethodExpression getPlotClickListener()

      Description copied from class: `AbstractChartSeries`
      Server-side listener for plotclick event fired by this series only. Not implemented yet.
      Specified by:
        `getPlotClickListener` in class `AbstractChartSeries`

    - #### setPlotClickListener

          public void setPlotClickListener(javax.el.MethodExpression plotClickListener)

      Specified by:
        `setPlotClickListener` in class `AbstractChartSeries`

    - #### getSymbol

          public AbstractChartSeries.SymbolType getSymbol()

      Description copied from class: `AbstractChartSeries`
      Point symbol for line chart Allowed values:
      - circle
      - square
      - cross
      - triangle
      - diamond
      Specified by:
        `getSymbol` in class `AbstractChartSeries`

    - #### setSymbol

          public void setSymbol(AbstractChartSeries.SymbolType symbol)

    - #### getType

          public ChartDataModel.ChartType getType()

      Description copied from class: `AbstractChartSeries`
      The attributes define type of a chart. Allowed values:
      - line
      - bar
      - pie
      Specified by:
        `getType` in class `AbstractChartSeries`

    - #### setType

          public void setType(ChartDataModel.ChartType type)

    - #### addPlotClickListener

          public void addPlotClickListener(PlotClickListener listener)

    - #### getPlotClickListeners

          public PlotClickListener[] getPlotClickListeners()

    - #### removePlotClickListener

          public void removePlotClickListener(PlotClickListener listener)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.